Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.initialization
Class BuildSourceBuilder

    java.lang.Object
      org.gradle.initialization.BuildSourceBuilder

    public class BuildSourceBuilder

extends java.lang.Object

Field Summary
`static java.lang.String` | `BUILD_SRC_MODULE`
`static java.lang.String` | `BUILD_SRC_ORG`
`static java.lang.String` | `BUILD_SRC_REVISION`
`static java.lang.String` | `BUILD_SRC_TYPE`

Constructor Summary
`BuildSourceBuilder(GradleFactory gradleFactory, CacheInvalidationStrategy cacheInvalidationStrategy)`

Method Summary
`java.io.File` | `buildArtifactFile(java.io.File buildResolverDir)`
`java.util.Set<java.io.File>` | `createBuildSourceClasspath(StartParameter startParameter)`
`GradleFactory` | `getGradleFactory()`
`void` | `setGradleFactory(GradleFactory gradleFactory)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUILD_SRC_ORG

    public static final java.lang.String BUILD_SRC_ORG

See Also:
  Constant Field Values

### BUILD_SRC_MODULE

    public static final java.lang.String BUILD_SRC_MODULE

See Also:
  Constant Field Values

### BUILD_SRC_REVISION

    public static final java.lang.String BUILD_SRC_REVISION

See Also:
  Constant Field Values

### BUILD_SRC_TYPE

    public static final java.lang.String BUILD_SRC_TYPE

See Also:
  Constant Field Values

Constructor Detail

### BuildSourceBuilder

    public BuildSourceBuilder(GradleFactory gradleFactory,
                              CacheInvalidationStrategy cacheInvalidationStrategy)

Method Detail

### createBuildSourceClasspath

    public java.util.Set<java.io.File> createBuildSourceClasspath(StartParameter startParameter)

### buildArtifactFile

    public java.io.File buildArtifactFile(java.io.File buildResolverDir)

### getGradleFactory

    public GradleFactory getGradleFactory()

### setGradleFactory

    public void setGradleFactory(GradleFactory gradleFactory)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD